<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <requires lib="gtk" version="4.0"/>
  <object class="GtkAdjustment" id="_magnitude_adj">
    <property name="lower">2</property>
    <property name="upper">1024</property>
    <property name="step-increment">1</property>
    <property name="page-increment">5</property>
  </object>
  <object class="GtkAdjustment" id="_randomization_adj">
    <property name="upper">1000000</property>
    <property name="step-increment">0.10</property>
    <property name="page-increment">5</property>
  </object>
  <object class="GtkAdjustment" id="_roundedness_adj">
    <property name="lower">-10</property>
    <property name="upper">10</property>
    <property name="step-increment">0.01</property>
    <property name="page-increment">0.10</property>
  </object>
  <object class="GtkAdjustment" id="_spoke_adj">
    <property name="upper">1</property>
    <property name="step-increment">0.01</property>
    <property name="page-increment">0.10</property>
  </object>
  <object class="GtkToggleButton" id="flat_button_group">
    <property name="label" translatable="yes">radiobutton</property>
    <property name="focusable">True</property>
    <property name="active">True</property>
  </object>
  <object class="GtkBox" id="star-toolbar">
    <property name="halign">start</property>
    <property name="valign">center</property>
    <property name="hexpand">True</property>
    <child>
      <object class="GtkLabel" id="_mode_item">
        <property name="margin-start">3</property>
        <property name="label" translatable="yes">&lt;b&gt;New:&lt;/b&gt;</property>
        <property name="use-markup">True</property>
      </object>
    </child>
    <child>
      <object class="GtkBox" id="flat_item_box">
        <property name="spacing">3</property>
        <child>
          <object class="GtkToggleButton" id="flat_polygon_button">
            <property name="focusable">True</property>
            <property name="tooltip-text" translatable="yes">Regular polygon (with one handle) instead of a star</property>
            <property name="has-frame">False</property>
            <property name="active">True</property>
            <property name="group">flat_button_group</property>
            <child>
              <object class="GtkImage" id="image3">
                <property name="icon-name">draw-polygon</property>
              </object>
            </child>
          </object>
        </child>
        <child>
          <object class="GtkToggleButton" id="flat_star_button">
            <property name="focusable">True</property>
            <property name="tooltip-text" translatable="yes">Star instead of a regular polygon (with one handle)</property>
            <property name="has-frame">False</property>
            <property name="group">flat_button_group</property>
            <child>
              <object class="GtkImage" id="image4">
                <property name="icon-name">draw-star</property>
              </object>
            </child>
          </object>
        </child>
      </object>
    </child>
    <child>
      <object class="GtkSeparator">
      </object>
    </child>
    <child>
      <object class="GtkBox" id="magnitude_box">
        <property name="tooltip-text" translatable="yes">Number of corners of a polygon or star</property>
        <style>
            <class name="priority1"/>
        </style>
        <child>
          <object class="GtkLabel">
            <property name="label" translatable="yes">Corners:</property>
          </object>
        </child>
        <child>
          <object class="GtkSpinButton" id="_magnitude_item">
            <property name="focusable">True</property>
            <property name="width-chars">5</property>
            <property name="text" translatable="yes">0.000</property>
            <property name="adjustment">_magnitude_adj</property>
            <property name="climb-rate">0.10</property>
          </object>
        </child>
      </object>
    </child>
    <child>
      <object class="GtkBox" id="_spoke_box">
        <property name="tooltip-text" translatable="yes">Base radius to tip radius ratio</property>
        <style>
            <class name="priority1"/>
        </style>
        <child>
          <object class="GtkLabel">
            <property name="label" translatable="yes">Spoke Ratio:</property>
          </object>
        </child>
        <child>
          <object class="GtkSpinButton" id="_spoke_item">
            <property name="focusable">True</property>
            <property name="width-chars">7</property>
            <property name="text" translatable="yes">0.000</property>
            <property name="adjustment">_spoke_adj</property>
            <property name="climb-rate">0.10</property>
            <property name="digits">3</property>
          </object>
        </child>
      </object>
    </child>
    <child>
      <object class="GtkBox" id="roundedness_box">
        <property name="tooltip-text" translatable="yes">How rounded are the corners (0 for sharp)</property>
        <style>
            <class name="priority1"/>
        </style>
        <child>
          <object class="GtkLabel">
            <property name="label" translatable="yes">Rounded:</property>
          </object>
        </child>
        <child>
          <object class="GtkSpinButton" id="_roundedness_item">
            <property name="focusable">True</property>
            <property name="width-chars">7</property>
            <property name="adjustment">_roundedness_adj</property>
            <property name="climb-rate">0.10</property>
            <property name="digits">3</property>
          </object>
        </child>
      </object>
    </child>
    <child>
      <object class="GtkBox" id="randomization_box">
        <property name="tooltip-text" translatable="yes">Scatter randomly the corners and angles</property>
        <style>
            <class name="priority1"/>
        </style>
        <child>
          <object class="GtkLabel">
            <property name="label" translatable="yes">Randomized:</property>
          </object>
        </child>
        <child>
          <object class="GtkSpinButton" id="_randomization_item">
            <property name="focusable">True</property>
            <property name="width-chars">7</property>
            <property name="text" translatable="yes">0.000</property>
            <property name="adjustment">_randomization_adj</property>
            <property name="climb-rate">0.10</property>
            <property name="digits">3</property>
          </object>
        </child>
      </object>
    </child>
    <child>
      <object class="GtkSeparator">
        <style>
            <class name="priority1"/>
        </style>
      </object>
    </child>
    <child>
      <object class="GtkButton" id="reset_btn">
        <property name="focusable">True</property>
        <property name="receives-default">True</property>
        <property name="tooltip-text" translatable="yes">Make corners sharp</property>
        <property name="has-frame">False</property>
        <style>
            <class name="priority1"/>
        </style>
        <child>
          <object class="GtkImage" id="image2">
            <property name="icon-name">edit-clear</property>
          </object>
        </child>
      </object>
    </child>
    <style>
      <class name="inkscape-toolbar"/>
    </style>
  </object>
</interface>
